* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

@font-face {
  font-family: sun-medium;
  src: url("../font-family/NeueHaasDisplay-Mediu.ttf") format("truetype");
}

@font-face {
  font-family: sun-roman;
  src: url("../font-family/NeueHaasDisplay-Roman.ttf") format("truetype");
}

:root {
  --primary-color: #000000;
  --background-color: #efeae3;
  --text-color: #2a2929f4;
  --accent-text-color: #ada7a7;
  --white-color: #ffffff;
  --divider-color: #bfbbb6;
  --circle-color: #fe330a;
  --accent-circle-color: #ff9831;
  --color-black: #000000;
  --color-white: #ffffff;
  --defult-font: sun-medium;
  --accent-font: sun-roman;
}

html,
body {
  width: 100%;
  overflow-x: clip;
}

body {
  font-family: var(--accent-font);
  font-size: 16px;
  font-weight: 400;
  line-height: 1.5em;
  color: var(--text-color);
  background: var(--background-color);
}

.main {
  position: relative;
  background-color: var(--background-color);
  z-index: 10;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--defult-font);
  color: var(--primary-color);
  font-weight: 700;
}

figure {
  margin: 0;
  line-height: 0;
}

img {
  max-width: 100%;
}

a {
  text-decoration: none;
}

a:hover {
  text-decoration: none;
  outline: 0;
}

a:focus {
  text-decoration: none;
  outline: 0;
}

.container {
  max-width: 1250px;
  margin: 0 auto;
}
/* header section Start */
.header {
  padding: 30px 0;
}

.logo img {
  width: 100%;
  max-width: 140px;
}

.mob-manu {
  display: none;
}

.manu ul {
  display: flex;
  justify-content: end;
  list-style: none;
  padding: 0;
  margin: 0;
}

.manu ul li {
  position: relative;
  display: inline-block;
  font-family: var(--defult-font);
  font-size: 16px;
  font-weight: 100;
  text-decoration: none;
  color: var(--color-black);
  margin: 0 5px;
  padding: 10px 20px;
  border: 1px solid var(--divider-color);
  border-radius: 50px;
  overflow: hidden;
}

.manu ul li::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  right: 0;
  top: 100%;
  border-radius: 50px;
  background-color: var(--color-black);
  transition: all 0.3s ease;
}

.manu ul li:hover::after {
  top: 0%;
  border-radius: 0%;
  z-index: -1;
}

.manu ul li:hover a {
  color: var(--white-color);
  z-index: 9;
}

.manu ul li a {
  font-family: var(--defult-font);
  font-size: 16px;
  font-weight: 100;
  color: var(--primary-color);
}
/* header section End */

/* hero section Start */
.hero {
  padding: 100px 0 0 0;
}

.hero-content {
  border-bottom: 1px solid var(--divider-color);
  margin-bottom: 30px;
  padding: 0 20px 40px 20px;
}

.hero-content-text p {
  font-family: var(--defult-font);
  font-size: 25px;
  margin: 0;
}

.hero-content-title h1 {
  font-size: 128px;
  line-height: 0.82em;
  text-align: end;
  margin: 0;
}
/* hero section End */

/* Hero Video Section Start */
.video-hero video {
  position: relative;
  width: 100%;
  border-radius: 30px;
  z-index: 1;
}
/* Hero Video Section End */

/* Hero Shape Section Start */
.hero-shape {
  position: absolute;
  width: 704px;
  height: 473px;
  top: 490px;
  right: -20px;
}

.shape-box-1 {
  position: absolute;
  width: 100%;
  height: 100%;
  filter: blur(20px);
  background: linear-gradient(var(--circle-color), var(--circle-color));
  border-top-left-radius: 50%;
  border-bottom-left-radius: 50%;
}

.shape-box-2 {
  position: absolute;
  width: 30vw;
  height: 30vw;
  filter: blur(25px);
  background: linear-gradient(var(--circle-color), var(--circle-color));
  border-radius: 50%;
  animation-name: anime1;
  animation-duration: 3s;
  animation-timing-function: linear;
  animation-direction: alternate;
  animation-iteration-count: infinite;
}

@keyframes anime1 {
  from {
    transform: translate(-5%, 20%);
  }
  to {
    transform: translate(33%, -10%);
  }
}

@keyframes anime2 {
  from {
    transform: translate(70%, 10%);
  }
  to {
    transform: translate(90%, -15%);
  }
}
/* Hero Shape Section End */

/* Ticker Start */
.ticker {
  padding: 100px 0 0 0;
}

.ticker ul {
  display: flex;
  list-style: none;
  padding: 0;
  margin: 0;
}

.ticker ul li {
  position: relative;
  display: flex;
  animation-name: ticker;
  animation-duration: 12s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}

.ticker ul li h1 {
  font-family: var(--defult-font);
  font-size: 115px;
  margin: 0;
}

.gola {
  display: inline-block;
  width: 65px;
  height: 65px;
  border-radius: 50%;
  background-color: var(--circle-color);
  margin: 30px 25px;
}

@keyframes ticker {
  from {
    transform: translateX(0%);
  }
  to {
    transform: translateX(-100%);
  }
}
/* Ticker End */

/* About Section Start */

.about-us {
  padding: 100px 0 100px 0;
}

.about-content {
  position: relative;
  padding: 0 60px;
}

.about-text {
  position: relative;
  z-index: 2;
}

.about-text h2 {
  font-size: 53px;
  line-height: 1em;
  margin: 0;
}

.about-us-content {
  display: flex;
  flex-wrap: wrap;
  justify-content: end;
  padding-top: 130px;
}

.about-image-box figure {
  display: block;
}

.about-image-box img {
  width: 100%;
  max-width: 250px;
  aspect-ratio: 1 / 0.664;
  object-fit: cover;
  border-radius: 15px;
}

.about-us-text {
  position: relative;
  margin-top: 40px;
  z-index: 1;
}

.about-us-text p {
  line-height: 1.1em;
  margin: 0;
}

.about-us-circle {
  position: absolute;
  width: 410px;
  height: 410px;
  top: 180px;
  left: 330px;
  border-radius: 50%;
  background-color: var(--accent-circle-color);
  filter: blur(10px);
}

.about-us-circle-1 {
  position: absolute;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background-color: var(--accent-circle-color);
  filter: blur(10px);
  animation-name: circle1;
  animation-duration: 3s;
  animation-timing-function: ease-in-out;
  animation-direction: alternate;
  animation-iteration-count: infinite;
}

.about-us-circle-2 {
  position: absolute;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background-color: var(--circle-color);
  filter: blur(50px);
  animation-name: circle2;
  animation-duration: 3s;
  animation-timing-function: ease-in-out;
  animation-direction: alternate;
  animation-iteration-count: infinite;
}

@keyframes circle1 {
  from {
    transform: translate(-5%, 10%) skew(0deg);
  }
  to {
    transform: translate(5%, -6%) skew(-10deg);
  }
}

@keyframes circle2 {
  from {
    transform: translate(-5%, 10%);
  }
  to {
    transform: translate(5%, -6%);
  }
}
/* About Section End */

/* Featured Project Section Start */

.feature-item-list {
  display: none;
}

.featured-project-heding {
  margin-bottom: 40px;
  padding-left: 30px;
}

.featured-project-heding h2 {
  position: relative;
  font-family: var(--accent-font);
  font-size: 16px;
  font-weight: 500;
  padding-left: 15px;
  margin: 0;
}

.featured-project-heding h2::before {
  content: "";
  position: absolute;
  width: 7px;
  height: 7px;
  top: 5px;
  left: 0;
  background-color: var(--circle-color);
  border-radius: 50%;
}

.feature-item {
  position: relative;
  border-bottom: 1px solid var(--divider-color);
  padding: 30px;
  overflow: hidden;
}

.feature-item::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: -200px;
  left: 0;
  transition: all 0.4s ease;
  background-color: var(--accent-circle-color);
}

.feature-item:hover::before {
  top: 0;
}

.feature-item:hover .feature-item-content {
  position: relative;
  z-index: 3;
}

.feature-item:hover .feature-item-content p {
  color: #b36b22;
}

.feature-item-content {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.feature-item-content h2 {
  font-size: 38px;
  margin: 0;
}

.feature-item-content span h3 {
  text-align: right;
  font-family: var(--accent-font);
  font-size: 16px;
  font-weight: 400;
  line-height: 1.1em;
  margin: 0;
}

.feature-item-content span p {
  transition: all 0.4s ease;
  color: var(--accent-text-color);
  margin: 0;
}

.fixed-image {
  display: none;
  position: fixed;
  width: 320px;
  height: 385px;
  top: 100px;
  left: 50%;
  transition: all 0.3s ease-in-out;
  background-color: transparent;
  border-radius: 20px;
  background-size: cover;
  background-position: center;
  z-index: 999;
}

.feature-list-item-btn {
  position: relative;
  display: inline-block;
  border: 1px solid var(--divider-color);
  border-radius: 50px;
  margin: 50px 0 0 30px;
  padding: 10px 20px;
  overflow: hidden;
}

.feature-list-item-btn::before {
  content: "";
  background-color: black;
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  bottom: -100%;
  border-radius: 50%;
  transition: all 0.4s ease-in-out;
}

.feature-list-item-btn:hover::before {
  bottom: 0;
  border-radius: 0%;
  z-index: -1;
}

.feature-list-item-btn:hover a {
  color: var(--white-color);
}

.feature-list-item-btn a {
  transition: all 0.4s ease-in-out;
  font-weight: 600;
  color: var(--primary-color);
}
/* Featured Project Section End */

/* Design Execution Section Start */

.design-execution {
  padding: 100px 0;
}

.design-content {
  background-color: var(--color-black);
  border-radius: 20px;
}

.design-execution-content {
  max-width: 370px;
  margin: 0 auto;
}

.design-execution-content ul {
  list-style: none;
  border-left: 2px solid var(--divider-color);
  padding: 0 0 0 5px;
  margin: 0 0 20px 0;
}

.design-execution-content ul li h3 {
  font-family: var(--defult-font);
  font-size: 57px;
  line-height: 1.1em;
  color: var(--white-color);
  margin: 0;
}

.design-execution-content ul li .sub-text {
  padding-left: 20px;
}

.design-execution-content ul li .sub-text h3 {
  font-size: 57px;
  color: var(--text-color);
  margin: 0;
}

.design-execution-content p {
  color: var(--white-color);
  margin: 0;
}

.design-execution-image figure {
  display: block;
}

.design-execution-image img {
  width: 100%;
  height: 100%;
  border-radius: 20px;
}
/* Design Execution Section End */

/* We Work Section Star */
.we-work {
  padding: 0 0 100px 0;
}

.we-work .swiper-wrapper {
  margin-left: 100px;
}

.we-work-heading {
  margin: 0 0 50px 100px;
}

.we-work-heading h3 {
  position: relative;
  font-family: var(--accent-font);
  font-size: 16px;
  font-weight: 500;
  padding-left: 15px;
  margin: 0;
}

.we-work-heading h3::before {
  content: "";
  position: absolute;
  width: 7px;
  height: 7px;
  top: 5px;
  left: 0;
  background-color: var(--circle-color);
  border-radius: 50%;
}

.we-work .swiper-slide {
  cursor: grab;
  border-right: 1px solid var(--divider-color);
  margin: 0 30px 0 0 !important;
  padding-right: 50px;
}

.we-work .swiper-slide:last-child {
  border: none;
  margin: 0;
  padding: 0;
}

.we-work .swiper-slide img {
  width: 100%;
  max-width: 130px;
  margin: 0 0 10px 0;
}

.we-work .swiper-slide p {
  font-size: 13px;
  margin: 0;
}
/* We Work Section End */

/* footer Section Start */

.footer {
  width: 100%;
  height: 116vh;
  overflow: hidden;
}

.footer-bottom {
  position: fixed;
  height: 100vh;
  width: 100%;
  background-color: var(--color-black);
  bottom: 0;
  z-index: 9;
}

.footerupper {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 100px 50px 50px 50px;
  padding-bottom: 100px;
}

.footerupper-text h2 {
  font-size: 26px;
  font-weight: 700;
  color: var(--white-color);
  margin: 0;
}

.footerupper-email p {
  color: var(--white-color);
  margin: 0;
}

.footerupper-email {
  display: flex;
  width: 290px;
  flex-direction: column;
  gap: 25px;
}

.footerupper-email h3 {
  font-family: var(--accent-font);
  font-size: 16px;
  font-weight: 100;
  border-bottom: 1px solid #d3cdc1df;
  padding-bottom: 5px;
  color: #d3cdc1df;
}

.footerlower {
  position: relative;
  padding: 0 20px;
}

.footerlower-link ul {
  display: flex;
  align-items: center;
  justify-content: space-between;
  list-style: none;
  border-top: 1px solid var(--divider-color);
  padding: 20px 0 0 0;
  margin: 30px 0 0 0;
}

.footerlower-link ul li {
  font-size: 14px;
  font-weight: 200;
  color: var(--white-color);
}

.footerlower-image figure {
  display: block;
}

.footerlower-image img {
  width: 100%;
}

.footer-bottom .shape1 {
  position: absolute;
  top: -50%;
  left: -20%;
  width: 90%;
  height: 90%;
  background-color: #fe330a;
  filter: blur(50px);
  animation-name: shape1;
  animation-duration: 3s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
  animation-direction: alternate;
}

.footer-bottom .shape2 {
  position: absolute;
  right: -27%;
  top: -27%;
  width: 70%;
  height: 90%;
  filter: blur(50px);
  background-color: #fe330a;
  animation-name: shape2;
  animation-duration: 4s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
  animation-direction: alternate;
}

@keyframes shape1 {
  from {
    transform: rotate(-10deg);
  }
  to {
    transform: rotate(-20deg);
  }
}

@keyframes shape2 {
  from {
    transform: rotate(30deg);
  }
  to {
    transform: rotate(45deg);
  }
}

/* footer Section End */

.loader {
  position: fixed;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 100%;
  top: 0;
  transition: all ease 1s;
  background-color: var(--color-black);
  z-index: 1111;
}

.loader h1 {
  position: absolute;
  font-size: 7vw;
  opacity: 0;
  color: transparent;
  background: linear-gradient(to right, var(--accent-circle-color), var(--circle-color));
  -webkit-background-clip: text;
  animation-name: loader;
  animation-duration: 1s;
  animation-timing-function: linear;
  animation-delay: 1s;
}

.loader h1:nth-child(2) {
  animation-delay: 2s;
}

.loader h1:nth-child(3) {
  animation-delay: 3s;
}

@keyframes loader {
  0% {
    opacity: 0;
  }
  10% {
    opacity: 1;
  }
  90% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@media only screen and (max-width: 1024px) {
  .hero-content-title h1 {
    font-size: 115px;
  }

  .hero-content-text p {
    font-size: 20px;
  }

  .hero-shape {
    top: 460px;
  }

  .ticker {
    padding-top: 50px;
  }

  .about-us {
    padding: 50px 0;
  }

  .about-content {
    padding: 0 40px;
  }

  .about-us-text {
    margin-top: 20px;
  }

  .about-us h2 {
    font-size: 40px;
  }

  .about-us-circle {
    top: 110px;
    left: 140px;
  }

  .about-us-content {
    padding-top: 40px;
  }

  .we-work .swiper-slide {
    padding-right: 20px;
  }
}

@media only screen and (max-width: 991px) {
  .header {
    padding: 20px 0;
  }

  .hero {
    padding-top: 50px;
  }

  .hero-content-title h1 {
    font-size: 85px;
  }

  .logo img {
    max-width: 120px;
  }

  .hero-content {
    padding-bottom: 20px;
    margin-bottom: 20px;
  }

  .hero-shape {
    width: 500px;
    height: 400px;
    top: 340px;
  }

  .ticker ul li h1 {
    font-size: 70px;
  }

  .gola {
    width: 40px;
    height: 40px;
    margin: 20px 25px;
  }

  .about-us h2 {
    font-size: 24px;
  }

  .about-us-content {
    padding-top: 0;
  }

  .about-us-circle {
    width: 300px;
    height: 300px;
    top: 60px;
    left: 80px;
  }

  .featured-project-heding {
    margin-bottom: 30px;
    padding-left: 20px;
  }

  .feature-item {
    padding: 20px;
  }

  .feature-item-content h2 {
    font-size: 30px;
  }

  .feature-list-item-btn {
    margin: 30px 0 0 20px;
  }

  .design-execution {
    padding: 50px 0;
  }

  .design-execution-content {
    width: auto;
    margin: 0;
    padding: 30px 0 30px 20px;
  }

  .design-execution-image img {
    height: 550px;
  }

  .we-work-heading {
    margin: 0 0 30px 30px;
  }

  .we-work .swiper-wrapper {
    margin-left: 30px;
  }

  .footerupper {
    padding: 110px 20px 100px 20px;
  }
}

@media only screen and (max-width: 767px) {
  .manu {
    display: none;
  }

  .mob-manu {
    display: block;
  }

  .header-main {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
  }

  .mob-manu h3 {
    font-family: var(--accent-font);
    font-size: 20px;
    font-weight: 100;
    border: 1px solid var(--divider-color);
    border-radius: 50px;
    margin: 0;
    padding: 8px 20px;
  }

  .full-scr {
    position: relative;
    height: 50%;
    width: 100%;
    background-color: #00000070;
    position: fixed;
    z-index: 99;
    bottom: -100%;
    left: 0;
    transition: all ease 0.5s;
  }

  .full-div1 {
    position: absolute;
    height: 100%;
    width: 100%;
    top: -150px;
    background-color: #efeae3;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
  }

  .menu-content {
    position: absolute;
    display: flex;
    flex-wrap: wrap;
    justify-content: end;
    top: -80px;
    margin-right: 20px;
    padding-left: 50px;
  }

  .menu-content h1 {
    text-align: end;
    font-size: 50px;
    margin: 0;
  }

  .hero-content .row {
    flex-direction: column-reverse;
  }

  .hero-content-title h1 {
    font-size: 60px;
  }

  .hero-content-text p {
    font-size: 16px;
    line-height: 1.1em;
  }

  .hero-content {
    padding: 0 0 20px 0;
  }

  .hero-content-text {
    margin-top: 30px;
  }

  .hero-shape {
    width: 320px;
    height: 200px;
    top: 390px;
  }

  .ticker {
    padding-top: 20px;
  }

  .ticker ul li h1 {
    font-size: 30px;
  }

  .gola {
    width: 20px;
    height: 20px;
    margin: 7px 15px;
  }

  .about-content {
    padding: 0;
  }

  .about-us h2 {
    font-size: 20px;
    line-height: 1.1em;
  }

  .about-us-circle {
    width: 250px;
    height: 250px;
    top: 60px;
    left: 29px;
  }

  .about-us-content {
    position: relative;
    justify-content: left;
    margin: 50px 0 0 50px;
    z-index: 1;
  }

  .feature-item-list {
    display: block;
  }

  .feature-list-item {
    display: none;
  }

  .item-feature {
    padding: 0 15px;
    margin-bottom: 30px;
  }

  .item-feature:last-child {
    margin-bottom: 0;
  }

  .item-feature-box figure {
    display: block;
  }

  .item-feature-box img {
    width: 100%;
    aspect-ratio: 1 / 0.81;
    object-fit: cover;
    border-radius: 16px;
  }

  .item-feature-content {
    margin-top: 20px;
  }

  .item-feature-content h2 {
    font-size: 33px;
  }

  .item-feature-content ul {
    list-style: none;
    padding: 0;
    margin: 0;
  }

  .item-feature-content ul li h3 {
    font-family: var(--accent-font);
    font-size: 22px;
    font-weight: 400;
    margin: 0;
  }

  .item-feature-content ul li span {
    color: var(--accent-text-color);
  }

  .design-execution-content ul li h3 {
    font-size: 45px;
  }

  .design-execution-content ul li .sub-text h3 {
    font-size: 45px;
  }

  .design-execution-content p {
    font-size: 14px;
  }

  .design-execution-image img {
    height: 350px;
  }

  .we-work .swiper-slide {
    margin-left: 50px;
  }

  .footerupper {
    display: block;
    padding: 50px 15px 100px 15px;
  }

  .footerupper-email {
    margin-top: 20px;
  }

  .footerlower {
    padding: 0 10px;
  }
}
